package model

import (
	"time"
)

type UserPublicPlatoonRelation struct {
	Id                  int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid                 int       `json:"uid" xorm:"not null default 0 comment('用户id') unique INT(11)"`
	FatherUid           string    `json:"father_uid" xorm:"not null default '' comment('父级id(123456-563464-438384)') index VARCHAR(100)"`
	Pid                 int       `json:"pid" xorm:"not null default 0 comment('父级id') INT(11)"`
	RecommendUid        int       `json:"recommend_uid" xorm:"not null default 0 comment('推荐人id') INT(11)"`
	Level               int       `json:"level" xorm:"not null default 1 comment('等级(整个系统)') INT(11)"`
	Position            int       `json:"position" xorm:"not null default 1 comment('当前等级上位置') INT(11)"`
	UniqueIdentifier    string    `json:"unique_identifier" xorm:"not null default '' comment('唯一标识符(uid-推荐人id-等级-位置)') unique CHAR(100)"`
	ReturnCommissionNum int       `json:"return_commission_num" xorm:"not null default 0 comment('返佣次数') INT(11)"`
	CreateAt            time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt            time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
